Debian Bug report logs - #292652
Syntax highlighting makes all Ruby code "colored" Literal

version graph

Package: vile; Maintainer for vile is Brendan O'Dea <bod@debian.org>; Source for vile is src:vile.

Reported by: Paul van Tilburg <paulvt@debian.org>

Date: Fri, 28 Jan 2005 16:03:02 UTC

Severity: normal

Tags: sid

Found in version 9.4-o1

Fixed in version vile/9.4-q1

Done: Brendan O'Dea <bod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#292652; Package vile. Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Syntax highlighting makes all Ruby code "colored" Literal
Date: Fri, 28 Jan 2005 16:29:27 +0100
[Message part 1 (text/plain, inline)]
Package: vile
Version: 9.4-o1
Severity: normal
Tags: sid

Hi!

Since the most recent upload all my Ruby code is colored green (my color
for Literal) after the first require '<library>' line.  This is rather
inconventient.

I haven't found out yet if it is the folder (couldn't find if it was
changed) or a more general vile filtering problem.
I have attached a small example file which can show what goes wrong.

Paul

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.9-powerpc
Locale: LANG=C, LC_CTYPE=nl_NL@euro (charmap=ISO-8859-15)

Versions of packages vile depends on:
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  libperl5.8                  5.8.4-5      Shared Perl library
ii  vile-common                 9.4-o1       VI Like Emacs - support files for 

-- no debconf information
[test.rb (text/x-c++, attachment)]

Message sent on to Paul van Tilburg <paulvt@debian.org>:
Bug#292652. Full text and rfc822 format available.

Message #8 received at 292652-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 292652-submitter@bugs.debian.org
Subject: re: #292652 - Syntax highlighting makes all Ruby code "colored" Literal
Date: Fri, 11 Feb 2005 16:15:13 -0500
[Message part 1 (text/plain, inline)]
I can reproduce this, will analyze/fix for 9.4q

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Paul van Tilburg <paulvt@debian.org>:
Bug#292652. Full text and rfc822 format available.

Message #11 received at 292652-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 292652-submitter@bugs.debian.org
Subject: re: #292652 - Syntax highlighting makes all Ruby code "colored" Literal
Date: Sat, 12 Feb 2005 20:47:42 -0500
[Message part 1 (text/plain, inline)]
I can see what's wrong, but am puzzled why it was not noticed before.
There are two problems which combine to produce this effect:

	a) the logic which is supposed to make vile use a different filter
	   (vile-ruby-filt) for rbmode (which defaults to vile-rb-filt)
	   is making the check in the wrong order.  So it is using the
	   lex-based filter rather than the improved C-based filter.

	b) the lex-based filter has a pattern which is incorrect.  This is
	   the line beginning

		<CODE><<-?{QIDENT} 

	   which is supposed to begin a here-document.  But the "?" character
	   makes the "<<-" optional.  Lex chose to match the quoted identifier
	   at this point, and start a here-document.  The ending identifier
	   wasn't found.

The last change for this chunk was

===================================================================
# revision 1.9
#       date: 2004/11/23 22:41:20;  author: tom;  state: Exp;  lines: +2 -2
#       quote the angle brackets in patterns for Tru64 4.0g
===================================================================
@@ -86,7 +86,7 @@
                            WriteToken(Comment_attr);
                            new_state(RD);
                        }
-<CODE><<-?{QIDENT}     {
+<CODE>"<<-"?{QIDENT}   {
                             if (save_here(yytext, yyleng)) {  
                                PushQuote(HERE, String_attr);
                            } else {


I suspect that altered the tables slightly, making flex choose this
instance of a quote before the normal SSTRING state.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul van Tilburg <paulvt@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 292652-close@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 292652-close@bugs.debian.org
Subject: Bug#292652: fixed in vile 9.4-q1
Date: Sun, 13 Feb 2005 22:02:11 -0500
Source: vile
Source-Version: 9.4-q1

We believe that the bug you reported is fixed in the latest version of
vile, which is due to be installed in the Debian FTP archive:

vile-common_9.4-q1_all.deb
  to pool/main/v/vile/vile-common_9.4-q1_all.deb
vile-filters_9.4-q1_sparc.deb
  to pool/main/v/vile/vile-filters_9.4-q1_sparc.deb
vile_9.4-q1.diff.gz
  to pool/main/v/vile/vile_9.4-q1.diff.gz
vile_9.4-q1.dsc
  to pool/main/v/vile/vile_9.4-q1.dsc
vile_9.4-q1_sparc.deb
  to pool/main/v/vile/vile_9.4-q1_sparc.deb
xvile_9.4-q1_sparc.deb
  to pool/main/v/vile/xvile_9.4-q1_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 292652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brendan O'Dea <bod@debian.org> (supplier of updated vile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 Feb 2005 13:27:24 +1100
Source: vile
Binary: xvile vile-filters vile vile-common
Architecture: source sparc all
Version: 9.4-q1
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 vile       - VI Like Emacs - vi work-alike
 vile-common - VI Like Emacs - support files for vile/xvile
 vile-filters - VI Like Emacs - highlighting filters for vile/xvile
 xvile      - VI Like Emacs - vi work-alike (X11)
Closes: 235182 292652
Changes: 
 vile (9.4-q1) unstable; urgency=low
 .
   * New upstream patch version.  Fixes two issues related to rbmode
     (closes: #292652).
 .
   * Update xvile app-defaults:
     + copy colours from example XVile.ad,
     + set focusFollowsMouse and forkOnStartup options, and
     + set cursor colour so it is visible over highlighted text
       (closes: #235182).
Files: 
 35fe191ae3b770b1ffed26a300dbbfb5 677 editors optional vile_9.4-q1.dsc
 f858d8ff0c92402f7a0246c9c0e120ff 1135800 editors optional vile_9.4-q1.diff.gz
 f2b67cd56402eacb87571d2559469048 502594 editors optional vile-common_9.4-q1_all.deb
 6e50d6dfa955550f118da320e80f138f 291744 editors optional vile_9.4-q1_sparc.deb
 24902f6ba67372883f539036af3fd0ff 282248 editors optional vile-filters_9.4-q1_sparc.deb
 c1bdba0ff8a2f20c229788a6343e3003 316444 editors optional xvile_9.4-q1_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCEBFN8NyOALKMWZURAv1pAJ9l0UvkCmP2gb9akWRuK/gOB+uazwCfRpS7
PDRoh+VeUnsyh1m1VnkRWPo=
=YLnI
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:38:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.